summaryrefslogtreecommitdiff
path: root/qa/353
diff options
context:
space:
mode:
Diffstat (limited to 'qa/353')
-rwxr-xr-xqa/35349
1 files changed, 49 insertions, 0 deletions
diff --git a/qa/353 b/qa/353
new file mode 100755
index 0000000..6d4520f
--- /dev/null
+++ b/qa/353
@@ -0,0 +1,49 @@
+#!/bin/sh
+# PCP QA Test No. 353
+# check pmsocks for IRIX o32, n32, 64 object styles
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+. ./common.config
+
+if [ "`pmsocks echo ok 2>&1`" != ok ]
+then
+ _notrun "pmsocks is not installed and/or not configured"
+fi
+if [ "$PCPQA_SOCKS_SERVER" = my_socks_server ]
+then
+ _notrun "\$PCPQA_SOCKS_SERVER is not configured"
+fi
+
+_filter() {
+ sed -e '/not QAing/d'
+}
+
+status=0 # success is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+echo "expect no output"
+
+EXTERNAL_HOST=estore.sgi.com
+SOCKS_SERVER=$PCPQA_SOCKS_SERVER
+PMCD_CONNECT_TIMEOUT=30
+PMCD_REQUEST_TIMEOUT=30
+export PMCD_CONNECT_TIMEOUT PMCD_REQUEST_TIMEOUT SOCKS_SERVER
+pmsocks src/pmsocks_objstyle -h $EXTERNAL_HOST | _filter
+if [ "$PCP_PLATFORM" = "irix" ]
+then
+ pmsocks src/pmsocks_objstyle_32 -h $EXTERNAL_HOST | _filter
+ pmsocks src/pmsocks_objstyle_n32 -h $EXTERNAL_HOST | _filter
+ pmsocks src/pmsocks_objstyle_64 -h $EXTERNAL_HOST | _filter
+fi
+
+exit